org.mariadb.jdbc.internal.queryresults

## Interface CmdInformation

All Known Implementing Classes:
  CmdInformationMultiple, CmdInformationRewrite, CmdInformationSingle

    public interface CmdInformation

Created by kolzeq on 16/12/2016.

### Field Summary

Fields
`static int` `NO_UPDATE_COUNT`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addStats(int updateCount)`
`void` `addStats(int updateCount, long insertId)`
`int` `getCurrentStatNumber()`
`ResultSet` `getGeneratedKeys(Protocol protocol)`
`int` `getUpdateCount()`
`int[]` `getUpdateCounts()`
`boolean` `isCurrentUpdateCount()`
`boolean` `moreResults()`

### Field Detail

#### NO_UPDATE_COUNT

    static final int NO_UPDATE_COUNT

See Also:
  Constant Field Values

### Method Detail

#### getUpdateCounts

    int[] getUpdateCounts()

#### getUpdateCount

    int getUpdateCount()

#### addStats

    void addStats(int updateCount,
                  long insertId)

#### addStats

    void addStats(int updateCount)

#### getGeneratedKeys

    ResultSet getGeneratedKeys(Protocol protocol)

#### getCurrentStatNumber

    int getCurrentStatNumber()

#### moreResults

    boolean moreResults()

#### isCurrentUpdateCount

    boolean isCurrentUpdateCount()